Subject: [alpine-aports] [PATCH] main/aspell: data and dicts moved to /usr/share/aspell. libs subpackage without ncurses dependence.

From: Valery Kartel <[email-masked]>
Date: Tue, 10 Nov 2015 16:54:18 +0200

---
 main/aspell/APKBUILD | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

diff --git a/main/aspell/APKBUILD b/main/aspell/APKBUILD
index 52a5d20..6368328 100644
--- a/main/aspell/APKBUILD
+++ b/main/aspell/APKBUILD
@@ -2,23 +2,17 @@
 # Contributor: Valery Kartel <[email-masked]>
 pkgname=aspell
 pkgver=0.60.6.1
-case $pkgver in
-*.*.*.*) _pkgmajorver=${pkgver%.*.*};;
-*.*.*) _pkgmajorver=${pkgver%.*};;
-*) _pkgmajorver=$pkgver;;
-esac
-
-pkgrel=4
+pkgrel=5
 pkgdesc="A spell checker designed to eventually replace Ispell"
 url="http://aspell.net/"
 arch="all"
 license="LGPL2+"
-subpackages="$pkgname-compat $pkgname-utils $pkgname-dev $pkgname-doc"
+subpackages="$pkgname-compat $pkgname-utils $pkgname-dev $pkgname-doc $pkgname-libs"
 depends=
 makedepends="ncurses-dev perl"
 install=
-source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
-	libmath.patch"
+source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+#	libmath.patch"
 
 _builddir="$srcdir/$pkgname-$pkgver"
 
@@ -38,36 +32,42 @@ build() {
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
-		|| return 1
+		--sysconfdir=/etc \
+		--enable-dict-dir=/usr/share/$pkgname \
+		--enable-pkgdatadir=/usr/share/$pkgname \
+		--enable-compile-in-filters \
+		--disable-pspell-compatibility || return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
-	ln -s $pkgname-${_pkgmajorver} "$pkgdir"/usr/lib/$pkgname || return 1
 }
 
 compat() {
 	pkgdesc="aspell compatibility scripts for ispell and unix spell"
+	depends="aspell"
 	arch="noarch"
 	install -d "$subpkgdir"/usr/bin
-	cd "$_builddir"/scripts
-	cp spell ispell "$subpkgdir"/usr/bin/
+	cd "$pkgdir"/usr/share/$pkgname
+	mv spell ispell "$subpkgdir"/usr/bin/
 }
 
 utils() {
 	pkgdesc="aspell misc utils"
-	depends="perl"
+	depends="aspell perl"
 	arch="all"
 	install -d "$subpkgdir"/usr/bin
 	cd "$pkgdir"/usr/bin
 	mv pre* aspell-import run-with-aspell word-list-compress "$subpkgdir"/usr/bin/
 }
 
-md5sums="e66a9c9af6a60dc46134fdacf6ce97d7  aspell-0.60.6.1.tar.gz
-2b866e5365aca89510c8c84359007ba5  libmath.patch"
-sha256sums="f52583a83a63633701c5f71db3dc40aab87b7f76b29723aeb27941eff42df6e1  aspell-0.60.6.1.tar.gz
-a20ea65e3a88123db9e9cd89af71962472a548113c79860d28e74494d65cdad7  libmath.patch"
-sha512sums="f310c7590be98406589b5c26ca36a2ecfe4733f0b40fd6c176b96b7955ef2b5cd0ec9a3d770cf132146ae7a896042b4b698945112995ee1ae66adcfa5542247f  aspell-0.60.6.1.tar.gz
-e390fc1004d59d895ae3cde198265fa769efa1ec729a00d2d8ceca63a4a10d93857a7fef9a1bb7c9434502630e3ae85f2bc2c207c7dffab78469eb344e2275ea  libmath.patch"
+dev() {
+	depends="aspell-utils"
+	default_dev
+}
+
+md5sums="e66a9c9af6a60dc46134fdacf6ce97d7  aspell-0.60.6.1.tar.gz"
+sha256sums="f52583a83a63633701c5f71db3dc40aab87b7f76b29723aeb27941eff42df6e1  aspell-0.60.6.1.tar.gz"
+sha512sums="f310c7590be98406589b5c26ca36a2ecfe4733f0b40fd6c176b96b7955ef2b5cd0ec9a3d770cf132146ae7a896042b4b698945112995ee1ae66adcfa5542247f  aspell-0.60.6.1.tar.gz"
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---